<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>TransactionHelper</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="declaration: package: app, class: TransactionHelper">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/TransactionHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">app</a></div>
<h1 title="Class TransactionHelper" class="title">Class TransactionHelper</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">app.TransactionHelper</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">TransactionHelper</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#checkDuplicate(app.Transaction)">checkDuplicate</a></span>&#8203;(<a href="Transaction.html" title="class in app">Transaction</a>&nbsp;transaction)</code></th>
<td class="col-last">
<div class="block">檢查交易是否重複</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#create(app.Transaction)">create</a></span>&#8203;(<a href="Transaction.html" title="class in app">Transaction</a>&nbsp;transaction)</code></th>
<td class="col-last">
<div class="block">新增交易資料</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>org.json.JSONObject</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAll()">getAll</a></span>()</code></th>
<td class="col-last">
<div class="block">取得所有交易資料</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.json.JSONObject</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getByAccountId(java.lang.String)">getByAccountId</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="col-last">
<div class="block">透過帳號編號取得該帳號的交易資料</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>org.json.JSONObject</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getById(java.lang.String)">getById</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="col-last">
<div class="block">透過交易編號取得交易資料</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static <a href="TransactionHelper.html" title="class in app">TransactionHelper</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHelper()">getHelper</a></span>()</code></th>
<td class="col-last">
<div class="block">取得TransactionHelper物件</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getHelper()">
<h3>getHelper</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="TransactionHelper.html" title="class in app">TransactionHelper</a></span>&nbsp;<span class="member-name">getHelper</span>()</div>
<div class="block">取得TransactionHelper物件</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>TransactionHelper TransactionHelper物件</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAll()">
<h3>getAll</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONObject</span>&nbsp;<span class="member-name">getAll</span>()</div>
<div class="block">取得所有交易資料</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>JSONObject 所有交易資料</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getById(java.lang.String)">
<h3>getById</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONObject</span>&nbsp;<span class="member-name">getById</span>&#8203;(<span class="parameters">java.lang.String&nbsp;id)</span></div>
<div class="block">透過交易編號取得交易資料</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>id</code> - 交易編號</dd>
<dt>Returns:</dt>
<dd>JSONObject 交易資料</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getByAccountId(java.lang.String)">
<h3>getByAccountId</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONObject</span>&nbsp;<span class="member-name">getByAccountId</span>&#8203;(<span class="parameters">java.lang.String&nbsp;id)</span></div>
<div class="block">透過帳號編號取得該帳號的交易資料</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>id</code> - 帳號編號</dd>
<dt>Returns:</dt>
<dd>JSONObject 該帳號的交易資料</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="checkDuplicate(app.Transaction)">
<h3>checkDuplicate</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">checkDuplicate</span>&#8203;(<span class="parameters"><a href="Transaction.html" title="class in app">Transaction</a>&nbsp;transaction)</span></div>
<div class="block">檢查交易是否重複</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>transaction</code> - Transaction物件 是檢查資料的Transaction物件</dd>
<dt>Returns:</dt>
<dd>boolean 是否重複</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="create(app.Transaction)">
<h3>create</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">create</span>&#8203;(<span class="parameters"><a href="Transaction.html" title="class in app">Transaction</a>&nbsp;transaction)</span></div>
<div class="block">新增交易資料</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>transaction</code> - 新增資料的Transaction物件</dd>
<dt>Returns:</dt>
<dd>boolean 是否新增成功</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/TransactionHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
